/* ===== SET VARIABLES ===== */
:root {
  --main: #afcbbe;
  --strong: #8fb3a2;
  --second: white;
  --ground: #f7f9fc;
}

/* ===== HEADER ===== */
header {
	display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 20px;
    background: var(--second);
  
  	color: var(--main);
}

.header-left a {
  color: var(--main);
  text-decoration: none;
}


.header-right {
    display: flex;
    align-items: center;
}

.user-menu {
    display: flex;
    flex-direction: column;
  	align-items: flex-end;
}

.user-link,
.logout-link {
    display: flex;
    align-items: center;
    gap: 8px;
    text-decoration: none;
    color: inherit;
  
    border: 1px solid var(--second);
  	border-radius: 21px;
  	transition-duration: 0.5s;
}

.user-link {
  margin-bottom: 10px;
}

.user-link span,
.logout-link span {
    width: auto;
  	text-align: center;
}

.user-link:hover,
.logout-link:hover {
  	border: 1px solid var(--main);
  	border-radius: 21px;
  	padding-left: 20px;
  	transition-duration: 0.5s;
}

.user-link i,
.logout-link i {
  	padding: 10px;
}

.hide-account,
.hide-logout {
    opacity: 0;
  	pointer-events: none;
  	transition-duration: 0.5s;
}

.user-link:hover i,
.logout-link:hover i {
    background-color: var(--main);
  	color: var(--second);
  	transition-duration: 0.5s;
}
.user-link:hover i,
.logout-link:hover i {
    border-radius: 20px;
}
.user-link:hover .hide-account,
.logout-link:hover .hide-logout {
    opacity: 100;
  	pointer-events: auto;
  	transition-duration: 0.5s;
}